## kf6-kcrash 6.6.0

=== debian/changelog ===
kf6-kcrash (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:40 +0200

kf6-kcrash (6.5.0-3) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: skip on ppc64el, as abi-compliance-checker does not seem
    to find any public symbols in the KF6Crash shared library.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 22:36:31 +0200

kf6-kcrash (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 16:03:02 +0200

kf6-kcrash (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:04 +0200

kf6-kcrash (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:27 +0200
