=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kcrash
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,8 +10,8 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
                libx11-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -19,14 +20,14 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcrash
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcrash
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcrash.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcrash
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcrash
 Rules-Requires-Root: no
 
 Package: libkf6crash-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.6.0~),
+Depends: libkf6coreaddons-dev (>= 6.9.0~),
          libkf6crash6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
