=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
                libx11-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -27,7 +27,7 @@
 Package: libkf6crash-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.16.0~),
+Depends: libkf6coreaddons-dev (>= 6.17.0~),
          libkf6crash6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
