## kf6-kcrash 6.18.0+p24.04+vstable+git20251005.0231

=== debian/changelog ===
kf6-kcrash (6.18.0+p24.04+vstable+git20251005.0231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 02:31:43 +0000
